define(['extend'], function (extend) {

    function Model(arguments) { 

    	var config = extend({

    		// Nothing

    	}, arguments);

		extend(this, config);

		// The method given in the ECMAScript standard to find the class of Object is to use the toString method from Object.prototype
		if (Object.prototype.toString.call( this.uses ) === '[object Array]') { // If you try typeof, the array presents itself as an object
			for (i=0; i<this.uses.length; i++) { 
				extend(this, require(this.uses[i]));
			}
		// If not, we check if it is a string instead
		} else if (typeof this.uses === 'string') {
			extend(this, require(this.uses));
		};

    }

    Model.prototype = {

   	// Nothing

	};

	return Model;

});